<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@ Page Language="VB" Debug="True" %>

<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<%@ Register TagPrefix="ANet" TagName="Footer" Src="includes/footer.ascx"%>

<!-- 
# nome:             XMLLeggi.aspx
# scritto da:       Antonio Volpon
# data creazione:   23 Novembre 2001
# ultima modifica:  23 Novembre 2001
# copyright:        Antonio Volpon
-->

<script language="vb" runat="server">

Sub CaricaXml()
	
	Dim objDataSet As New DataSet()
	Dim objTableLibro As DataTable
	Dim objTableView As DataView
	
	Dim strUrlPath As String
	Dim strLocPath As String
	
	strUrlPath = Left(Request.Path,InStrRev(Request.FilePath,"/")) & "Xml/"
	
	strLocPath = Request.MapPath(strUrlPath) 
	
	objDataSet.ReadXmlSchema(strLocPath & "XmlSchema.xml")

	risposta.innerHtml += "Caricato il file <a target='_blank' href='"& strUrlPath & "XmlSchema.xml'>" & strUrlPath & "XmlSchema.xml</a><br>"

	objDataSet.ReadXml(strLocPath & "XmlDocument.xml")
	
	risposta.innerHtml += "Caricato il file <a target='_blank' href='"& strUrlPath & "XmlDocument.xml'>" & strUrlPath & "XmlDocument.xml</a><br>"
	
	objTableLibro = objDataSet.Tables("Libro")
		
	objTableView = objTableLibro.DefaultView
	
	libri.DataSource = objTableView
	libri.DataBind()
	
End Sub

Sub Change_Index(objSender As Object, objArgs As DataGridPageChangedEventArgs)

	libri.CurrentPageIndex = objArgs.NewPageIndex
	CaricaXml()	
	
End Sub
	
Sub Page_Load()

	If Not Page.IsPostBack() Then

		CaricaXml()					
	
	End If

End Sub

</script>

<html>

	<head>
		<link rel="stylesheet" href="css/aspnet.css" type="text/css">
		</link>
		<title>Da XML a DataSet</title>		
	</head>
	
	<body>
		<div class="titolo">
			Da XML a DataSet
		</div>
		
		<hr noshade="true" size="1" width="100%">	
		
		<center>
		
		<form runat="server">
		
		<asp:DataGrid id="libri" runat="server" 
			AutoGenerateColumns="False"
	        HeaderStyle-BackColor="#CCCCCC"
       		HeaderStyle-HorizontalAlign="center"
       		Width="80%"
       		AllowPaging="True"
       		PageSize="10"
       		PagerStyle-HorizontalAlign="Right"
       		PagerStyle-Mode="NumericPages"
       		OnPageIndexChanged="Change_Index"
       		AllowSorting="True">
       		
			<SelectedItemStyle BackColor="Yellow"></SelectedItemStyle>
			<AlternatingItemStyle BackColor="LightGreen"></AlternatingItemStyle>       		
			<Columns>

				<asp:TemplateColumn HeaderText="Seleziona" ItemStyle-HorizontalAlign="Center">
					<ItemTemplate>
						<asp:Button CommandName="Select" Text="x" runat="server" />
					</ItemTemplate>
				</asp:TemplateColumn>
	
				<asp:BoundColumn DataField="IdLibro" HeaderText="Id" ItemStyle-HorizontalAlign="Left" SortExpression="IdLibro" ReadOnly="True"/>
				
				<asp:TemplateColumn HeaderText="Titolo" ItemStyle-HorizontalAlign="Left" SortExpression="Titolo">
					<ItemTemplate>
						<%# Container.DataItem("Titolo")%>	
					</ItemTemplate>
					<EditItemTemplate>
						<asp:TextBox id="titolo" text='<%# Container.DataItem("Titolo") %>' runat="server"/>
						<asp:RequiredFieldValidator ControlToValidate="titolo" Display="Dynamic" runat="server" >
							Valore obbligatorio
						</asp:RequiredFieldValidator>						
					</EditItemTemplate>					
				</asp:TemplateColumn>
				
				<asp:BoundColumn DataField="EdizioneAnno" HeaderText="Anno" ItemStyle-HorizontalAlign="Left" SortExpression="EdizioneAnno" />
				<asp:BoundColumn DataField="Collana" HeaderText="Collana" ItemStyle-HorizontalAlign="Left" SortExpression="Collana" />
				
			</Columns>

       	</asp:DataGrid>
		
		<div id="risposta" class="txt" runat="server" EnableViewState="false"></div>

		</form>

		</center>

        <ANet:Footer id="Menu" runat="server" />
		
	</body>
	
</html>